<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="com.testapptest.test.extension.StringKt" />

        <variable
            name="color"
            type="String" />

        <variable
            name="colorPercent"
            type="Integer" />

    </data>

    <com.testapptest.test.customize.view.ShapeRoundView
        android:layout_width="@dimen/dp_16"
        android:layout_height="@dimen/dp_16"
        android:layout_marginHorizontal="@dimen/dp_6"
        app:cardBackgroundColor="@color/white"
        app:cardElevation="0dp"
        app:shape_round_border_color="@color/color_red"
        app:shape_round_border_width="1dp"
        app:shape_round_radius="@dimen/dp_8">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/white"
            android:backgroundTint="@{StringKt.parseStringColorWithPercent(color, colorPercent)}" />
    </com.testapptest.test.customize.view.ShapeRoundView>
</layout>